/*
 * Texture.h
 *
 * Copyright (C) 2009 Matthias Schiffer <matthias@gamezock.de>
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ZOOM_TEXTURE_H_
#define ZOOM_TEXTURE_H_

#include <string>
#include <map>

namespace Zoom {

class Texture {
  public:
    static unsigned loadTexture(const std::string &name);

  private:
    Texture();

    static std::map<std::string, unsigned> textures;
};

}

#endif /* ZOOM_TEXTURE_H_ */
